<TeXmacs|1.0.6.11>

<style|generic>

<\body>
  <chapter|Essai de PSTricks sous <TeXmacs> >

  <hrule>

  <with|prog-language|PSTricks|prog-session|default|<\session>
    <\output>
      \ TeXmacs interface to PSTricks (high level 2-dimensional graphics)
    </output>

    <\input|PSTricks] >
      \\pspicture(0,-1)(0,1)

      \\psframebox[fillstyle=solid,fillcolor=yellow,
      linearc=0.2cm,cornersize=absolute]{

      \\psframebox[fillstyle=solid,fillcolor=red]{Les enfants}\ 

      \\psframebox[fillstyle=solid,fillcolor=white]{\\psframebox[linecolor=red]

      {ont mang} \\psframebox[linecolor=red]
      {\\psframebox[linecolor=blue]{les pommes} et
      \\psframebox[linecolor=blue]{les pches} } } }
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-1,-2)(1,2)

      \\pscirclebox[doubleline=true]{Texte a encadrer}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-6,-4)(5,0)

      \\psset{linecolor=lightgray}\ 

      \\pstextpath {\\pscurve(-5,-2)(-2,0)(0,-3)(3,-1)(4,-2)(5,-1)}{\\\\blue
      On peut mme crire $x=y^3 W_{ln}^k$ suivant une courbe aussi
      tourmente que l'on veut...}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(0,-.5)(0,.5) \\psshadow{\\Large\\\\bf Texte  ombrer}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-.5,-1.5)(4.5,.5) \\pscoil[coilarm=0.5,linewidth=1mm,
      coilwidth=0.5]{\|-\<gtr\>}(4,-1)
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-.1,-1)(4.1,1.1) \\psset{xunit=0.4mm}\ 

      \\psplot[plotpoints=100,linecolor=red]{0} {89}{x sin x 2 div 2 exp cos
      mul}\ 

      \\psline{\<less\>-\<gtr\>}(0,-1)(0,1) \\psline{-\<gtr\>}(100,0)
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-.5,-0.5)(1.5,1.5) \\psset{unit=1cm}\ 

      \\psset{linewidth=1pt} \\psset{dotstyle=*}\ 

      \\pspolygon(1,0)(1,1)(0,1)(0,0)\ 

      \\pscircle*(0,1){.2} \\pscircle*[linecolor=white](1,1){.2}\ 

      \\pscircle(1,1){.2} \\pscircle*[linecolor=white](0,0){.2}\ 

      \\pscircle(0,0){.2} \\pscircle*[linecolor=white](1,0){.2}\ 

      \\pscircle(1,0){.2}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-1,-1)(4,1) \\psset{viewpoint=0.75 0.5 0.3}

      \\ThreeDput[normal=1 0 0](1,0.5,0.5) {

      \\psCoil[coilaspect=0,coilwidth=0.75, coilheight=0.5,linecolor=red]
      {0}{3600}} \\ThreeDput[normal=1 0 0]{\\psframe(4,1)}
      \\ThreeDput[normal=0 0 1]{\\psframe(1,4)}

      \\ThreeDput[normal=1 0 0](1,0,0) {\\psframe(4,1)} \\ThreeDput[normal=0
      0 1](0,0,1) {\\psframe(1,4)}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \\pspicture(-.1,-.1)(4,4)~

      \\\\newcommand\\\\newdessin[1]{

      \ \ \\psline(1,0)(0,4) \\psline(2,0)(0,3) \\psline(3,0)(0,2)
      \\psline(4,0)(0,{#1})}~

      \\\\newdessin{1}~

      \\\\rput(2,2.5){$L=12$ cm} \\psline{\<less\>-\<gtr\>}(1,2.2)(3,2.2)

      \\\\rput{-30}(2,1.1){$x_2=a^3$}
    </input>

    <\output>
      <\errput>
        tr: AVERTISSEMENT : un backslash non inhibé (unescaped) à la fin
        de la chaîne est incompatible
      </errput>

      \;
    </output>

    <\input|PSTricks] >
      \;
    </input>

    \;
  </session>>
</body>

<\initial>
  <\collection>
    <associate|language|french>
    <associate|page-type|a4>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|1>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|2fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-size|<quote|1.19>|Essai
      de PSTricks sous T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>
      > <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|1fn>
    </associate>
  </collection>
</auxiliary>